<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################

if (!isset($user)) {header('Location: /?mod=user&act=login');}


$act_name = 'Профиль пользователя'; //Имя действия
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$act_name.'</div>'; //Вывод заголовка


$sql = "SELECT COUNT(*) FROM ".PREFIX."users WHERE id='".filtr($_GET['id'])."'";  
if ($STH = $mysql->query($sql)) {  
$STH = $STH -> fetch_row();
$STH = $STH[0];
if ($STH > 0) {
$query_profile = $mysql -> query("SELECT * FROM `".PREFIX."users` WHERE `id`='".filtr($_GET['id'])."' LIMIT 1;");
$data = $query_profile -> fetch_assoc();
echo '<div class="menu">
<b>Логин:</b> '.filtr($data['login']).'';
if ($data['level'] == 2) {
echo ' <i>(Модератор)</i>';
}
if ($data['level'] == 3) {
echo ' <i>(Администратор)</i>';
}
echo'<br />';

if(is_user()){
if (!empty($data['email'])) {
echo '<b>E-mail:</b> <a href="mailto:'.filtr($data['email']).'">'.filtr($data['email']).'</a><br />';
}
}else{
echo'<b>E-mail:</b> Только для зарегистрированных<br />';
}
if (!empty($data['skype'])) {
echo '<b>Skype:</b> '.filtr($data['skype']).'<br />';
}
if ($data['reg']) {
echo '
<b>Зарегистрировался:</b> '.trytime($data['reg']).'<br />
';
}
echo '<b>Последняя активность:</b> '.trytime($data['last']).'<br />
</div>';

if(is_admin(array(2,3,4)))
{
echo'<div class="category">Админ возможности</div>';
echo'<a class="touch" href="/?mod=user&amp;act=admin&amp;do=edit&amp;id='.num($data['id']).'">Редактировать</a>';
}




}
else {
echo '<div class="error">Такого пользователя нет!</div>';
}
}

require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
?>
